ru.bitel.oss.kernel.entity.common.bean

## Class EntityAttrPhone.PhoneContact

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.EntityAttrPhone.PhoneContact

- Enclosing class:
    EntityAttrPhone

      public static class EntityAttrPhone.PhoneContact
      extends java.lang.Object

  Контакт - телефон + комментарий.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneContact()`
    `PhoneContact(java.lang.String phone, java.lang.String comment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Получение комментария.
    `java.lang.String` | `getPhone()` Получение телефона в формате.
    `java.lang.String` | `getPhoneUnformatted()` Получение неотформатированного телефона (73472123456).
    `void` | `setComment(java.lang.String comment)` Установка комментария.
    `void` | `setPhone(java.lang.String phone)` Установка телефона.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhoneContact

          public PhoneContact()

    - #### PhoneContact

          public PhoneContact(java.lang.String phone,
                              java.lang.String comment)

  - ### Method Detail

    - #### getPhone

          public java.lang.String getPhone()

      Получение телефона в формате.
      Returns:

    - #### setPhone

          public void setPhone(java.lang.String phone)

      Установка телефона.
      Parameters:
        `phone` -

    - #### getComment

          public java.lang.String getComment()

      Получение комментария.
      Returns:

    - #### setComment

          public void setComment(java.lang.String comment)

      Установка комментария.
      Parameters:
        `comment` -

    - #### getPhoneUnformatted

          public java.lang.String getPhoneUnformatted()

      Получение неотформатированного телефона (73472123456).
      Returns: